## libid3tag 0.15.1b

=== debian/changelog ===
libid3tag (0.15.1b-14) unstable; urgency=medium

  * Remove old alioth list as maintainer (Closes: #899861)
  * Remove Sam Clegg from uploaders
  * Add upstream signing key
  * Update watch file to find the signature file

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 10 Mar 2019 16:35:25 +0100

libid3tag (0.15.1b-13) unstable; urgency=medium

  * gperf now uses size_t instead of unsigned int (Closes: #869598)
  * Remove Clément Stenac from Uploaders (Closes: #808767)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 07 Jan 2018 12:33:47 +0100

libid3tag (0.15.1b-12) unstable; urgency=medium

  * Switch to debhelper compat level 9 (Closes: #817527)
  * Add multiarch support. Patch from Frédéric Brière <fbriere@fbriere.net>
    (Closes: #698959, #723192)
  * Add ${misc:Depends} to the Depends lines
  * Switch to "3.0 (quilt)" source format.
  * Use ${binary:Version} instead of ${Source-Version}
  * Don't disable debugging.
  * Add symbols file
  * Remove libid3tag.la

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 24 Jul 2016 20:07:55 +0200

libid3tag (0.15.1b-11) unstable; urgency=medium

  [ Fernando Seiti Furusato <ferseiti@br.ibm.com> ]
  * Use quilt rather than dpatch (deprecated)
  * Include m4 directory to configure.ac in order to expand macros properly
  * Add build-dep on dh-autoreconf and quilt
  * Use dh-autoreconf (Closes: #755532)

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 19 Aug 2014 18:35:36 +0200

libid3tag (0.15.1b-10) unstable; urgency=low

  * Reupload with the the CVS directories.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 20 Jan 2007 16:57:31 +0000

libid3tag (0.15.1b-9) unstable; urgency=high

  * Handle unknown/invalid encodings in id3_compat_fixup().
    id3_parse_string() returns NULL in that case and then we got
    a segfault in id3_ucs4_length().  (Closes: #405801)
    Thanks to Andreas Henriksson <andreas@fatal.se>

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 14 Jan 2007 14:46:12 +0000

libid3tag (0.15.1b-8) unstable; urgency=low

  * Change 10_utf16.dpatch so that it doesn't return an error in case
    an utf16 string with an odd number of bytes and just tells that it
    parsed them.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 13 Jan 2006 15:32:41 +0100

libid3tag (0.15.1b-7) unstable; urgency=low

  * Set the shlibs again.  It was lost in the coversion to cdbs.
    (Closes: #311544)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 23 May 2005 19:12:10 +0200

libid3tag (0.15.1b-6) unstable; urgency=low

  * Clément Stenac:
    * debian/control: set new Maintainer: and Uploaders:
          pkg-mad-maintainers@lists.alioth.debian.org (Closes: #300098)
    * Convert to CDBS and use latest debhelper
    * Convert changelog and control to UTF8
    * Better copyright file
  * Sam Clegg:
    * debian/libid3tag0.postinst: removed since debhelper runs ldconfig
    for us.
    * debian/libid3tag0-dev.install: install the pkg-config file.
    * debian/rules: remove rule for installing pkg-config file.
  * Kurt Roeckx
    * Add watch file.

 -- Sam Clegg <samo@debian.org>  Sat, 7 May 2005 15:19:11 +0100

libid3tag (0.15.1b-5) unstable; urgency=low

  * QA upload.
  * 12_endless_loop: Fix endless loop in utf16.c (patch by Ronald Bultje).
    Closes: #304913.
  * Switch to debhelper 4.
  * debian/rules:
    - Remove support for DEB_BUILD_OPTIONS=debug.
    - Add support for DEB_BUILD_OPTIONS=noopt.

 -- Matej Vela <vela@debian.org>  Tue, 26 Apr 2005 18:26:14 +0200

libid3tag (0.15.1b-4.1) unstable; urgency=low

  * Orphaning this package, setting maintainer to QA.

 -- Kyle McMartin <kyle@debian.org>  Thu, 17 Mar 2005 10:59:11 -0500

libid3tag (0.15.1b-4) unstable; urgency=low

  * Remove patch 11_id3v1. The patch was causing undesireable behaviour
    by displaying only v1 tags when v2 tags exist. (closes: #278891)

 -- Kyle McMartin <kyle@debian.org>  Thu, 17 Feb 2005 21:05:19 -0500

libid3tag (0.15.1b-3) unstable; urgency=medium

  * Missing Build-Depends on gperf results in frametype.c
    and compat.c being generated empty. This ends up creating
    an incompatible change in the shared object. Sorry.
    (closes: #270449, #270450, #270378)
 
 -- Kyle McMartin <kyle@debian.org>  Tue, 7 Sep 2004 12:07:11 -0400

libid3tag (0.15.1b-2) unstable; urgency=low

  * Switch to using dpatch.
    - 10_a_capella: Identify 'a capella' like other libraries.
    - 11_id3v1: Don't lose id3v1 tag info, if id3v2 tag also
                present. (closes: #267785)

 -- Kyle McMartin <kyle@debian.org>  Mon, 6 Sep 2004 09:53:12 -0400

libid3tag (0.15.1b-1) unstable; urgency=low

  * New upstream version.
  * Included misspelled 'a capella' patch from previous NMU.
    (closes: #235828)

 -- Kyle McMartin <kyle@debian.org>  Sat, 5 Jun 2004 19:10:19 -0400

libid3tag (0.15.0b-3.1) unstable; urgency=low

  * Non-maintainer upload
  * Closes: #235828: misspelled 'a capella' (patch included)

 -- Adam Kessel <ajkessel@debian.org>  Sun, 14 Mar 2004 13:01:23 -0500

libid3tag (0.15.0b-3) unstable; urgency=low

  * Updated section from devel to libdevel as per mail.

 -- Kyle McMartin <kyle@debian.org>  Tue, 21 Oct 2003 22:40:08 -0400

libid3tag (0.15.0b-2) unstable; urgency=low

  * Updated pkgconfig Version entry for id3tag.

 -- Kyle McMartin <kyle@debian.org>  Tue, 21 Oct 2003 22:09:04 -0400

libid3tag (0.15.0b-1) unstable; urgency=low

  * New upstream version(s).
  * Split package into each library, as upstream has done.

 -- Kyle McMartin <kyle@debian.org>  Sat, 21 Jun 2003 14:21:42 -0400

mad (0.14.2b-7) unstable; urgency=low

  * Clean up some lintian warnings.
  * Fixed id3tag.pc, accidently had -L instead of -I.

 -- Kyle McMartin <kyle@debian.org>  Tue, 28 Jan 2003 09:45:02 -0500

mad (0.14.2b-6) unstable; urgency=medium

  * Updated config.* (closes: #168663)

 -- Kyle McMartin <kyle@debian.org>  Thu, 14 Nov 2002 18:41:29 -0500

mad (0.14.2b-5) unstable; urgency=medium

  * Added build-dep on libesd0-dev, this should fix some
    problems people have been having when using esd as the
    output device... (closes: #150823)


