=== debian/control ===
Source: libid3tag
Priority: optional
Section: sound
Build-Depends: cdbs (>= 0.4.93~), dh-autoreconf, quilt, debhelper (>= 9), gettext, zlib1g-dev, gperf
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Standards-Version: 3.6.1

Package: libid3tag0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ID3 tag reading library from the MAD project
 ID3 tag manipulation library with full support for reading ID3v1, ID3v1.1,
 ID3v2.2, ID3v2.3, and ID3v2.4 tags, as well as support for writing ID3v1,
 ID3v1.1, and ID3v2.4 tags.

Package: libid3tag0-dev
Architecture: any
Section: libdevel
Depends: libid3tag0 (= ${binary:Version}), ${misc:Depends}, pkg-config, zlib1g-dev
Description: ID3 tag reading library from the MAD project
 ID3 tag manipulation library with full support for reading ID3v1, ID3v1.1,
 ID3v2.2, ID3v2.3, and ID3v2.4 tags, as well as support for writing ID3v1,
 ID3v1.1, and ID3v2.4 tags.
 .
 This is the package you need to develop or compile applications that
 use id3tag.
