=== debian/rules ===
#!/usr/bin/make -f
# makefile for libid3tag - using cdbs

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_DH_MAKESHLIBS_ARGS_libid3tag0 = -V 'libid3tag0 (>= 0.15.1b)'

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS=--enable-shared --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

install/libid3tag0-dev:: debian/id3tag.pc
	mkdir -p debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/id3tag.pc

clean::
	# annoying lintian errors
	rm -f config.cache libz/config.log \
		libz/config.status compat.c frametype.c
