=== debian/watch ===
version=3
opts=pgpsigurlmangle==s/$/.sign/ ftp://ftp.mars.org/mpeg/ libid3tag-(.*)\.tar\.gz
