## libid3tag 0.16.3

=== debian/changelog ===
libid3tag (0.16.3-1) unstable; urgency=medium

  * Team upload.
    Closes: #1083201

  [ Andreas Tille ]
  * New upstream version
    Closes: #1082042, #539871, #990837, #555101, #993364
  * Maintenance in Debian Multimedia team
  * Point watch file to https://codeberg.org/tenacityteam/libid3tag/
  * DEP5 copyright
  * Depends: pkg-config => pkgconf
  * Make short description of lib and devel package distinct
  * Replace cdbs by short dh
  * Enable hardening flags
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Refer to specific version of license GPL-2+.
  * Fix day-of-week for changelog entry 0.15.1b-8.
  * Pass -ffile-prefix-map in CFLAGS to enable reproducible builds
    Closes: #1020661
  * Build-Depends: cmake
  * Remove upstream tarball signature file which is not provided at the
    new location

 -- Andreas Tille <tille@debian.org>  Wed, 09 Oct 2024 07:37:18 +0200
