=== debian/control ===
--- 
+++ 
@@ -1,9 +1,16 @@
 Source: libid3tag
 Priority: optional
 Section: sound
-Build-Depends: cdbs (>= 0.4.93~), dh-autoreconf, quilt, debhelper (>= 9), gettext, zlib1g-dev, gperf
-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Standards-Version: 3.6.1
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               gettext,
+               zlib1g-dev,
+               gperf
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Kurt Roeckx <kurt@roeckx.be>
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libid3tag
+Vcs-Git: https://salsa.debian.org/multimedia-team/libid3tag.git
 
 Package: libid3tag0
 Architecture: any
@@ -19,8 +26,8 @@
 Package: libid3tag0-dev
 Architecture: any
 Section: libdevel
-Depends: libid3tag0 (= ${binary:Version}), ${misc:Depends}, pkg-config, zlib1g-dev
-Description: ID3 tag reading library from the MAD project
+Depends: libid3tag0 (= ${binary:Version}), ${misc:Depends}, pkgconf, zlib1g-dev
+Description: ID3 tag reading library from the MAD project (devel)
  ID3 tag manipulation library with full support for reading ID3v1, ID3v1.1,
  ID3v2.2, ID3v2.3, and ID3v2.4 tags, as well as support for writing ID3v1,
  ID3v1.1, and ID3v2.4 tags.
