=== debian/rules ===
#!/usr/bin/make -f
# makefile for libid3tag - using cdbs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_DH_MAKESHLIBS_ARGS_libid3tag0 = -V 'libid3tag0 (>= 0.15.1b)'

export DEB_CFLAGS_MAINT_APPEND=-ffile-prefix-map=$(CURDIR)=.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEVPKG := libid3tag0-dev

%:
	dh $@
