=== debian/watch ===
version=4

https://codeberg.org/tenacityteam/libid3tag/tags .*/libid3tag/archive/(\d[.\d]+)\.tar\.gz
